using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Sample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnReaderStartLink_Click(object sender, EventArgs e)
        {
            // NJn([_Rg[)
            try
            {
                axCP01ReaderCtrl.StartLink();
            }
            catch (Exception exp)
            {
                // G[e\I
                MessageBox.Show(exp.Message, "G[", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }

            // StatusvpeBɂԂ\
            switch (axCP01ReaderCtrl.Status)
            {
                case 1:
                    txtReaderStatus.Text = "ǂݎ\";
                    break;
                case 2:
                    txtReaderStatus.Text = "[_ڑ";
                    break;
                case 3:
                    txtReaderStatus.Text = "ǂݎꎞ~";
                    break;
            }
        }

        private void btnReaderEndLink_Click(object sender, EventArgs e)
        {
            // NI([_Rg[)
            axCP01ReaderCtrl.EndLink();

            txtReaderStatus.Text = "NĂ܂";
        }

        private void btnReaderPause_Click(object sender, EventArgs e)
        {
            // ǂݎꎞ~
            try
            {
                axCP01ReaderCtrl.Pause();
            }
            catch (Exception exp)
            {
                // G[e\
                MessageBox.Show(exp.Message, "G[", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }

        private void btnReaderRestart_Click(object sender, EventArgs e)
        {
            // ǂݎĊJ
            try
            {
                axCP01ReaderCtrl.Restart();
            }
            catch (Exception exp)
            {
                // G[e\
                MessageBox.Show(exp.Message, "G[", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }

        private void axCP01ReaderCtrl_OnChangeStatus(object sender, AxPSQRCP01Lib._DPsQRCP01Events_OnChangeStatusEvent e)
        {
            // Rg[̏ԕύXʒm([_Rg[)
            switch (e.status)
            {
                case 0:
                    txtReaderStatus.Text = "NĂ܂";
                    break;
                case 1:
                case 4:
                    txtReaderStatus.Text = "ǂݎ\";
                    break;
                case 2:
                    txtReaderStatus.Text = "[_ڑ";
                    break;
                case 3:
                    txtReaderStatus.Text = "ǂݎꎞ~";
                    break;
            }
        }

        private void axCP01ReaderCtrl_OnReadBarcode(object sender, AxPSQRCP01Lib._DPsQRCP01Events_OnReadBarcodeEvent e)
        {
            // Rg[̃o[R[hǂݎʒm
            string[] bcdType = { "JAN-8", "JAN-13", "ITF", "CODE-39", "NW-7", "CODE-128" };

            txtSymbolType.Text = bcdType[e.symbolType];
            txtReadData.Text = e.readData;
            txtLength.Text = Convert.ToString(e.dataLength);
            txtVersion.Text = "";
            txtLevel.Text = "";
        }

        private void axCP01ReaderCtrl_OnReadQRCode(object sender, AxPSQRCP01Lib._DPsQRCP01Events_OnReadQRCodeEvent e)
        {
            // Rg[QRR[hǂݎʒm
            string[] Level = { "L", "M", "Q", "H" };

            txtSymbolType.Text = "QR Code";
            txtReadData.Text = e.readData;
            txtLength.Text = Convert.ToString(e.dataLength);
            txtVersion.Text = Convert.ToString(e.version);
            txtLevel.Text = Level[e.level];
        }

        private void btnMonitorStartLink_Click(object sender, EventArgs e)
        {
            // NJn(j^Rg[)
            try
            {
                axCP01MonitorCtrl.StartLink();
            }
            catch (Exception exp)
            {
                // G[e\I
                MessageBox.Show(exp.Message, "G[", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }

            // StatusvpeBɂԂ\
            switch (axCP01MonitorCtrl.Status)
            {
                case 1:
                    txtMonitorStatus.Text = "j^\";
                    break;
                case 2:
                    txtMonitorStatus.Text = "[_ڑ";
                    break;
                case 3:
                    txtMonitorStatus.Text = "ǂݎꎞ~";
                    break;
            }
        }

        private void btnMonitorEndLink_Click(object sender, EventArgs e)
        {
            // NI(j^Rg[)
            axCP01MonitorCtrl.EndLink();

            txtMonitorStatus.Text = "NĂ܂";
        }

        private void axCP01MonitorCtrl_OnChangeStatus(object sender, AxPSQRCP01MLib._DPsQRCP01MEvents_OnChangeStatusEvent e)
        {
            // Rg[̏ԕύXʒm(j^Rg[)
            switch (e.status)
            {
                case 0:
                    txtMonitorStatus.Text = "NĂ܂";
                    break;
                case 1:
                case 4:
                    txtMonitorStatus.Text = "j^\";
                    break;
                case 2:
                    txtMonitorStatus.Text = "[_ڑ";
                    break;
                case 3:
                    txtMonitorStatus.Text = "ǂݎꎞ~";
                    break;
            }
        }
    }
}